<?php

require_once ('../modelo/conexion.php');

$con = new Conexion();
$db = $con->get_connection();
$sql = "SELECT id_estado_odoo FROM estados_odoo";
$stmt = $db->prepare($sql);
$stmt->execute();
$estados = $stmt->fetchAll(PDO::FETCH_ASSOC);

$sql_2 = "SELECT id_odoo FROM almacenes_odoo";
$stmt_2 = $db->prepare($sql_2);
$stmt_2->execute();
$almacenes = $stmt_2->fetchAll(PDO::FETCH_ASSOC);

foreach ($estados as $estado) {
    foreach ($almacenes as $almacen) {
        $sql_3 = "INSERT INTO cercania_almacen_odoo (id_estado_odoo, id_almacen_odoo) VALUES (:id_estado_odoo, :id_almacen_odoo)";
        $stmt_3 = $db->prepare($sql_3);
        $stmt_3->bindParam(':id_estado_odoo', $estado['id_estado_odoo']);
        $stmt_3->bindParam(':id_almacen_odoo', $almacen['id_odoo']);
        $stmt_3->execute();
    }
}